/*
 * Main.h
 *
 * Created: 27.12.2012 13:04:47
 *  Author: Nuckey
 */ 


#ifndef MAIN_INIT_H_
#define MAIN_INIT_H_
#include "Tester.PreConfig.h"
#include <avr/io.h>


extern const uint16_t RLtab[];
#ifdef AUTO_RH
extern const uint16_t RHtab[];
#endif


#if FLASHEND > 0x1fff
extern const uint8_t LogTab[];
#endif

#ifdef AUTO_CAL
extern const uint16_t R680pl;	// total resistor to VCC
extern const uint16_t R680mi;	// total resistor to GND
extern const int8_t RefDiff;	// correction of internal Reference Voltage

extern const int16_t ref_offset;	// default correction of internal reference voltage for capacity measurement
extern const uint8_t c_zero_tab[]; //table of zero offsets
#endif

extern const uint8_t EE_ESR_ZERO;
extern unsigned int RHmultip;

extern const unsigned char PinRLtab[];		// Table of commands to switch the  R-L resistors Pin 0,1,2
extern const unsigned char PinADCtab[];		// Table of commands to switch the ADC-Pins 0,1,2




#endif /* MAIN_INIT_H_ */