/*
 * Tester.h
 *
 * Created: 25.12.2012 18:53:12
 *  Author: Nuckey
 */ 


#ifndef MAIN_INIT_H_
#define MAIN_TEXT_H_
#include "Tester.PreConfig.h"
#include <avr/io.h>


extern const unsigned char TestRunning[];
extern const unsigned char BatWeak[];
extern const unsigned char BatEmpty[];
extern const unsigned char TestFailed2[];
extern const unsigned char Bauteil[];
extern const unsigned char Diode[];
extern const unsigned char GAK[];
extern const unsigned char Triac[];
extern const unsigned char Thyristor[];
extern const unsigned char Unknown[];
extern const unsigned char TestFailed1[];
extern const unsigned char OrBroken[];
extern const unsigned char TestTimedOut[];
#ifdef WITH_SELFTEST
extern const unsigned char SELFTEST[];
extern const unsigned char RELPROBE[];
extern const unsigned char ATE[];
#endif


extern const unsigned char Bat_str[];
extern const unsigned char OK_str[];
extern const unsigned char mosfet_str[];
extern const unsigned char jfet_str[];
extern const unsigned char GateCap_str[];
extern const unsigned char hfe_str[];
extern const unsigned char NPN_str[];
extern const unsigned char PNP_str[];

#ifdef EBC_STYLE
extern const unsigned char EBC_str[];
extern const unsigned char GDS_str[];
#else
extern const unsigned char N123_str[];
#endif

extern const unsigned char Uf_str[];
extern const unsigned char vt_str[];
extern const unsigned char Vgs_str[];
extern const unsigned char CapZeich[];
extern const unsigned char Cell_str[];
extern const unsigned char VCC_str[];
 
#if FLASHEND > 0x1fff
extern const unsigned char ESR_str[];
extern const unsigned char Lis_str[];
#endif

extern const unsigned char AnKat[];
extern const unsigned char KatAn[];
extern const unsigned char Dioden[];
extern const unsigned char Resistor_str[];
extern const unsigned char VERSION_str[];

#ifdef WITH_SELFTEST
extern const unsigned char URefT[];
extern const unsigned char RHfakt[];
extern const unsigned char RH1L[];
extern const unsigned char RH1H[];
extern const unsigned char RLRL[];
extern const unsigned char RHRH[];
#define LCD_CLEAR
#endif

#ifdef CHECK_CALL
extern const unsigned char RIHI[];
extern const unsigned char RILO[];
extern const unsigned char C0_str[];
extern const unsigned char T50HZ[];
#endif

#ifdef AUTO_CAL
extern const unsigned char MinCap_str[];
extern const unsigned char REF_C_str[];
extern const unsigned char REF_R_str[];
#endif

extern const unsigned char DiodeIcon1[];	// Diode-Icon Anode left
extern const unsigned char DiodeIcon2[];	// Diode-Icon Anode right 
extern const unsigned char CapIcon[];		// Capacitor Icon
extern const unsigned char ResIcon1[];		// Resistor Icon1
extern const unsigned char ResIcon2[];		// Resistor Icon2


#ifdef LCD_CYRILLIC	//generate Omega- and -character as Custom-character, because these characters are not inclluded with the cyrillic character set
   extern const unsigned char CyrillicOmegaIcon[];	//Omega
   extern const unsigned char CyrillicMuIcon[];		//
#endif

extern const uint8_t PrefixTab[];			// p,n,u,m,-,k,M



#endif /* TESTER.LANGUAGE_H_ */